summaryrefslogtreecommitdiffstats
path: root/libraries/libexif-gtk
diff options
context:
space:
mode:
author Michael Wagner2010-05-11 14:56:18 +0200
committer Michiel van Wessem2010-05-11 14:56:18 +0200
commite2818d807b7d3442610eb70fd3386208011af20d (patch)
tree36a1a1262ef756197b5567977938d3b263145e2a /libraries/libexif-gtk
parent756b4079cf4f00d1dc59cd2c03e1cd381cc7ba1c (diff)
downloadslackbuilds-e2818d807b7d3442610eb70fd3386208011af20d.tar.gz
libraries/libexif-gtk: Initial import
Diffstat (limited to 'libraries/libexif-gtk')
-rw-r--r--libraries/libexif-gtk/README9
-rw-r--r--libraries/libexif-gtk/libexif-gtk.SlackBuild75
-rw-r--r--libraries/libexif-gtk/libexif-gtk.info8
-rw-r--r--libraries/libexif-gtk/slack-desc11
4 files changed, 103 insertions, 0 deletions
diff --git a/libraries/libexif-gtk/README b/libraries/libexif-gtk/README
new file mode 100644
index 0000000000..93932d8d4f
--- /dev/null
+++ b/libraries/libexif-gtk/README
@@ -0,0 +1,9 @@
+Libexif-gtk (provides GTK+ widgets to display/edit EXIF tags)
+
+Most digital cameras produce EXIF files, which are JPEG files with
+extra tags that contain information about the image. The EXIF library
+allows you to parse an EXIF file and read the data from those tags.
+
+This library provides GTK+ widgets to display/edit EXIF tags.
+
+Homepage: http://libexif.sourceforge.net
diff --git a/libraries/libexif-gtk/libexif-gtk.SlackBuild b/libraries/libexif-gtk/libexif-gtk.SlackBuild
new file mode 100644
index 0000000000..56aa58eaec
--- /dev/null
+++ b/libraries/libexif-gtk/libexif-gtk.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+#
+# Slackware Build Script for libexif-gtk
+# (C) 2007 Michael Wagner <lapinours@web.de>
+#
+# This program is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by the
+# Free Software Foundation; either version 2 of the License, or (at your
+# option) any later version.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
+# Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+#
+
+# Modified by the SlackBuild Project
+
+PRGNAM=libexif-gtk
+VERSION=0.3.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="ABOUT-NLS COPYING ChangeLog INSTALL"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP || exit 1
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
+cd $PRGNAM-$VERSION || exit 1
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var/lib \
+ --disable-static \
+ --disable-rpath \
+ --program-prefix="" \
+ $ARCH-slackware-linux \
+ || exit 1
+
+make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod 644 $PKG/usr/doc/$PRGNAM-$PVERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -p -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/libexif-gtk/libexif-gtk.info b/libraries/libexif-gtk/libexif-gtk.info
new file mode 100644
index 0000000000..76f9428536
--- /dev/null
+++ b/libraries/libexif-gtk/libexif-gtk.info
@@ -0,0 +1,8 @@
+PRGNAM="libexif-gtk"
+VERSION="0.3.5"
+HOMEPAGE="http://libexif.sourceforge.net"
+DOWNLOAD="http://dl.sourceforge.net/libexif/libexif-gtk-0.3.5.tar.bz2"
+MD5SUM="0ecdba41f3e0f20a11b8555bd2dd2a07"
+MAINTAINER="Michael Wagner"
+EMAIL="lapinours@web.de"
+APPROVED="BP{k}" \ No newline at end of file
diff --git a/libraries/libexif-gtk/slack-desc b/libraries/libexif-gtk/slack-desc
new file mode 100644
index 0000000000..78980fdae3
--- /dev/null
+++ b/libraries/libexif-gtk/slack-desc
@@ -0,0 +1,11 @@
+libexif-gtk: libexif-gtk (provides GTK+ widgets to display/edit EXIF tags)
+libexif-gtk:
+libexif-gtk: Most digital cameras produce EXIF files, which are JPEG files with
+libexif-gtk: extra tags that contain information about the image. The EXIF
+libexif-gtk: library allows you to parse an EXIF file and read the data from .
+libexif-gtk: those tags.
+libexif-gtk:
+libexif-gtk: This library provides GTK+ widgets to display/edit EXIF tags.
+libexif-gtk:
+libexif-gtk: Homepage: http://libexif.sourceforge.net
+libexif-gtk: